*,
*:before,
*:after {
    box-sizing: border-box;
}

html,
body,
div,
span,
object,
iframe,
figure,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
code,
em,
img,
small,
strike,
strong,
sub,
sup,
tt,
b,
u,
i,
ol,
ul,
li,
fieldset,
form,
label,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
main,
canvas,
embed,
footer,
header,
nav,
section,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    text-size-adjust: none;
}

footer,
header,
nav,
section,
main {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: "";
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

input {
    -webkit-appearance: none;
    border-radius: 0;
}

html {
    font-size: 62.5%;
}
html body {
    font-size: 1.6rem;
}
html body .layout {
    /* padding-left: 3rem;
  padding-right: 3rem; */
}

.hidden {
    display: none;
}

.question__title {
    padding: 3rem;
    background-color: #00355e;
    color: white;
    font-size: 2.4rem;
}

.fixed-animation {
    position: absolute;
    top: 0;
    pointer-events: none;
    width: 100%;
    height: 673px;
}

.fixed-animation.wrong {
    height: unset;
}

.show-after-animation {
    opacity: 0;
    pointer-events: none;
    transition: all 0.2s ease-in;
    margin-top: 57vw;
}
.show-after-animation.show {
    opacity: 1;
    pointer-events: initial;
}
.show-after-animation.wrong {
    text-align: center;
    margin-top: 75vw;
}

.question__subtitle {
    font-size: 16px;
}
.question__content__image {
    text-align: center;
}
.question__content__form__letters-input {
    display: flex;
    max-width: 100%;
    justify-content: center;
    margin-top: 50px;
}
.question__content__form__letters-input .letter-item {
    border: 2px solid #57b7e5;
    border-radius: 10px;
    line-height: 41px;
    max-width: 38px;
    margin-inline: 4px;
    font-size: 22px;
    font-family: "Bree Serif";
    text-align: center;
    text-transform: uppercase;
}
.question__content__form__letters-input .letter-item:first-child {
    margin-left: 0;
}
.correct {
    color: #00355e;
}
.correct__content {
    line-height: 30px;
    font-size: 20px;
    font-family: "Bree Serif", sans-serif;
}
@media screen and (min-width: 375px) {
    .correct__content .question__steps {
        margin-bottom: 60px;
    }
}
.welcome__content__form__field .alert {
    color: #ffa8a8;
}
.welcome__content__form__continue_quizz {
    display: block;
    width: fit-content;
    color: white;
    font-family: "Source Sans Pro", sans-serif;
    background-color: #00355e;
    border-radius: 46px;
    margin-top: 40px;
    margin-bottom: 30px;
    padding: 12px 52px;
    font-size: 18px;
    line-height: 23px;
}
.welcome__content__form__continue_quizz {
    margin-left: auto;
    margin-right: auto;
}
.error__title {
    text-transform: uppercase;
}
.error__content__response strong {
    color: #fff !important;
    font-weight: 400;
    background-color: #57b7e5;
    margin-inline: 28px;
    border-radius: 10px;
    text-transform: uppercase;
    letter-spacing: 10px;
    font-size: 24px;
    padding: 8px 20px;
    display: block;
    margin-top: 30px;
}
.question__content__descriptions {
    font-size: 16px;
    color: #00355e;
    line-height: 26px;
    margin-bottom: 30px;
}
/* Define CSS animation */
@keyframes drawEffect {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}
/* Apply animation to list items */
#sortableList li {
    transition: background-color 0.3s;
    background-color: #57b7e5;
    color: #fff;
    font-size: 24px;
    line-height: 30px;
    text-transform: uppercase;
    letter-spacing: 10px;
    border-radius: 10px;
    padding: 8px 17px;
}
#sortableList li .drag-handle {
    cursor: pointer;
    float: right;
    padding: 6px;
}

#sortableList li:not(:first-child) {
    margin-top: 10px;
}
#sortableList li.dragging {
    animation: drawEffect 0.5s infinite alternate;
}
